# eric5.Plugins.CheckerPlugins.Pep8.Pep8StatisticsDialog

Module implementing a dialog showing statistical data for the last PEP 8 run.

### Global Attributes

None

### Classes

Pep8StatisticsDialog | Class implementing a dialog showing statistical data for the last PEP 8 run.

### Functions

None

## Pep8StatisticsDialog

Class implementing a dialog showing statistical data for the last PEP 8 run.

### Derived from

QDialog, Ui_Pep8StatisticsDialog

### Class Attributes

None

### Class Methods

None

### Methods

Pep8StatisticsDialog | Constructor
__createItem | Private method to create an entry in the result list.

### Static Methods

None

#### Pep8StatisticsDialog (Constructor)

Pep8StatisticsDialog(statistics, parent=None)

Constructor

dictionary
  with the statistical data
parent
  reference to the parent widget (QWidget)

#### Pep8StatisticsDialog.__createItem

__createItem(count, code, message)

Private method to create an entry in the result list.

count
  occurrences of the issue (integer)
code
  of a PEP 8 message (string)
message
  PEP 8 message to be shown (string)

Up